@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/WorkSans-Regular.ttf') format('truetype');
    font-weight: normal;
}
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/WorkSans-Medium.ttf') format('truetype');
    font-weight: 600;
}

.container {
    padding: 0;
}
/* Asosiy stillar */
.hero-wrapper {
    display: flex;
    align-items: center;
    gap: 60px;
}

.hero-img {
    width: 50%;
    height: 691px;
}

.hero-img img {
    width: 100%;
    height: 100%;
}

.hero-content {
    width: 45%;
}

.hero-title {
    font-family: 'Work Sans', serif;
    font-weight: 600;
    font-size: 51px;
    line-height: 56.1px;
    letter-spacing: 0%;
    margin-bottom: 20px;
}

.hero-subtitle {
    max-width: 460px;
    font-family: 'Work Sans', serif;
    font-weight: 400;
    font-size: 22px;
    line-height: 35.2px;
    letter-spacing: 0%;
    text-transform: capitalize;
    margin-bottom: 40px;
}

.hero-input-groups {
    width: 330px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
    margin-bottom: 30px;
}

.hero-input-container {
    position: relative;
    width: 100%;
    border-radius: 20px;
}

.hero-input-container img {
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    color: #999;
}

.hero-input-container input {
    width: 330px;
    height: 46px;
    padding: 12px 20px 12px 52px;
    border: 1px solid #858584;
    border-radius: 20px;
    outline: none;
}

.hero-input-container input::placeholder {
    font-family: 'Work Sans', serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 22.4px;
    letter-spacing: 0%;
    color: #2b2b2b;
}

.hero-btn {
    width: 330px;
    height: 46px;
    border-radius: 20px;
    background-color: #a259ff;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    transition: background-color 0.3s ease;

    font-family: 'Work Sans', serif;
    font-weight: 600;
    font-size: 16px;
    line-height: 22.4px;
    letter-spacing: 0%;
    text-align: center;
    color: #ffffff;
}

.hero-btn:hover {
    background-color: #8b46c8;
}

/* Responsive */

@media (max-width: 902px) {
    .hero-wrapper {
        padding: 0 15px;
    }
    .hero-img {
        width: 397px;
        height: 615px;
    }
    .hero-img img {
        width: 100%;
        height: 100%;
    }

    .hero-title {
        font-size: 38px;
        line-height: 45.6px;
    }

    .hero-subtitle {
        max-width: 325px;
        font-size: 16px;
        line-height: 22.4px;
    }

    .hero-input-groups {
        width: 100%;
    }
    .hero-input-container input {
        width: 100%;
    }

    .hero-btn {
        width: 100%;
    }
}
@media (max-width: 700px) {
    .hero-wrapper {
        flex-wrap: wrap;
        gap: 0;
    }

    .hero-img {
        width: 100%;
        height: 50%;
    }

    .hero-content {
        width: 100%;
        text-align: center;
        padding: 30px 0 40px;
    }

    .hero-subtitle {
        margin: 0 auto;
        margin-bottom: 30px;
    }
}
